Bug 1117916 - "'horizon" is not a registered namespace
Summary: "'horizon" is not a registered namespace
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: RDO
Classification: Community
Component: python-django-horizon
Version: unspecified
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
: ---
Assignee: Angus Thomas
QA Contact: Ido Ovadia
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-09 15:53 UTC by Jasper Spit
Modified: 2015-02-16 07:28 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-16 07:28:25 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Launchpad 1331271 0 None None None Never
OpenStack gerrit 122617 0 None None None Never

Description Jasper Spit 2014-07-09 15:53:55 UTC
Description of problem:

In Horizon, in container view, clicking on a pseudo-folder results in:

NoReverseMatch at /project/containers/container/dada/
u"'horizon" is not a registered namespace

Version-Release number of selected component (if applicable):

python-django-horizon-2014.1.1-1.el6.noarch

How reproducible:


Steps to Reproduce:
1. In Horizon, go to Project -> Object Store -> Containers
2. Create a container
3. In the created container, create a pseudo-folder
4. Click on the created pseudo-folder

Actual results:

Stacktrace of Django: NoReverseMatch at /project/containers/container/dada/
u"'horizon" is not a registered namespace

Error during template rendering

In template /usr/share/openstack-dashboard/openstack_dashboard/dashboards/project/containers/templates/containers/index.html, error at line 16
Expected results:

Expect to see contents of pseudo-folder

Additional info:

https://bugs.launchpad.net/horizon/+bug/1296273 

(bug report for other distro, with possible fix)

Comment 1 Julie Pichon 2014-09-19 06:23:03 UTC
Thank for including a clear set of steps, I can reproduce this on a fresh RDO Icehouse. There's a couple of related bugs that are fixed in Juno:

https://bugs.launchpad.net/horizon/+bug/1312222 (backported to Icehouse already)
https://bugs.launchpad.net/horizon/+bug/1331271 - I think we need that one too and it would be a very useful backport

Comment 2 Julie Pichon 2014-09-22 23:21:39 UTC
Backport merged upstream and will be available in the next stable release update (currently planned upstream on October 2nd, so probably a few days after that for the RDO packages).


Note You need to log in before you can comment on or make changes to this bug.